## kodi 17.0+dfsg1

=== debian/changelog ===
kodi (2:17.0+dfsg1-3) unstable; urgency=medium

  * Ship disabled systemd service file (Closes: #854985, #801886)
  * Use systemd service file recommended on upstream wiki

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 22 Feb 2017 01:28:43 +0100

kodi (2:17.0+dfsg1-2) unstable; urgency=medium

  * Apply patches to additional tarballs using quilt series file
    (Closes: #854463)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 09 Feb 2017 10:25:18 +0100

kodi (2:17.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0+dfsg1
    See: https://kodi.tv/kodi17/

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 06 Feb 2017 19:33:08 +0100

kodi (2:17.0~rc4+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.0~rc4+dfsg1
    See: https://kodi.tv/kodi-v17-0-krypton-release-candidate-4/
  * Refresh patches
  * Remove spaces around '=' in service file.
    Also convert service file to use Unix line ending

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 05 Feb 2017 01:27:27 +0100
