=== xbmc/games/CMakeLists.txt ===
set(SOURCES GameServices.cpp)

set(HEADERS GameServices.h)

core_add_library(games)
