=== xbmc/pvr/Makefile ===
SRCS=PVRGUIInfo.cpp \
     PVRManager.cpp \
     PVRDatabase.cpp \
     PVRActionListener.cpp \
     PVRSettings.cpp

LIB=pvr.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
