=== xbmc/filesystem/test/CMakeLists.txt ===
set(SOURCES TestDirectory.cpp 
            TestFile.cpp
            TestFileFactory.cpp
            TestRarFile.cpp
            TestZipFile.cpp)

core_add_test_library(filesystem_test)
