=== debian/changelog ===
kodi (2:17.1+dfsg1-3) unstable; urgency=medium

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230)

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 27 May 2017 00:50:34 +0200

kodi (2:17.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 13 Apr 2017 23:49:12 +0200

kodi (2:17.1+dfsg1-1) experimental; urgency=medium

  * Depend on fonts-noto-mono package which contains NotoMono-Regular.ttf
    (Closes: #856668)
  * Fix FTBFS on alpha by not using Intel assempler code (Closes: #856815)
  * Imported Upstream version 17.1+dfsg1
    See: https://kodi.tv/kodi-v17-1-krypton
  * Update my Uploader email address to my Ubuntu one
  * Fix extract-components target in d/rules

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 02 Apr 2017 11:01:21 +0200

kodi (2:17.1~rc1+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 17.1~rc1+dfsg1
  * Refresh patches

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Feb 2017 02:21:54 +0100
