=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Build-Depends: autoconf,
  automake,
  autopoint,
@@ -140,6 +140,7 @@
 Depends: mesa-utils,
          x11-utils,
          fonts-noto-hinted,
+         fonts-noto-mono,
          fonts-roboto-hinted,
          libjs-jquery,
          libjs-iscroll,
@@ -293,4 +294,3 @@
  expand its reach, making it available in more than 30 languages.
  .
  While Kodi functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your
