## kodi 17.3+dfsg1

=== debian/changelog ===
kodi (2:17.3+dfsg1-3) unstable; urgency=medium

  * Fix set core configure options to all instances.
  * Set configure options --disable-maintainer-mode
    --disable-silent-rules (unused now but might be added in future).
  * Fix avoid custom build rule silencing.
  * Fix FTBFS: Build-depend on and build with gcc-6 and g++-6 (until
    bug#841556 is fixed).
    Closes: Bug#853476. Thanks to Matthias Klose and Bálint Réczey.
  * Modernize Vcs-* fields:
    + Use https (not git or http) protocol.
    + Use git (not gitweb) in path.
  * Use https in Homepage URL.
  * Add myself as uploader.
  * Add patch 18 to support omitting addon repository feed.
  * Ship repository feed in separate package kodi-repository-kodi.
    Closes: Bug#877656 (or arguably only lowers severity of it, but
    since we cannot track that versioned better to close and track the
    lowered severity separately).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Oct 2017 03:53:10 +0200

kodi (2:17.3+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * Stop shipping kodi.service as an example since it is now shipped
    as a regular .service file

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 29 Jun 2017 05:15:29 +0200

kodi (2:17.3+dfsg1-1) experimental; urgency=medium

  * New upstream version 17.3
    See: https://kodi.tv/article/kodi-v173-minor-bug-fix-and-security-release
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 26 May 2017 18:44:04 +0200
