=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: video
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Uploaders: Balint Reczey <rbalint@ubuntu.com>,
+ Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autoconf,
+ gcc-6,
+ g++-6,
  automake,
  autopoint,
  autotools-dev,
@@ -100,9 +103,9 @@
  zip,
  zlib1g-dev
 Standards-Version: 3.9.8
-Homepage: http://kodi.tv/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git
+Homepage: https://kodi.tv/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/kodi.git
 
 Package: kodi
 Architecture: any
@@ -110,7 +113,7 @@
          kodi-bin (<< ${source:Version}.1~),
          kodi-data (>= ${source:Version}),
          ${misc:Depends}
-Recommends: kodi-visualization-spectrum
+Recommends: kodi-repository-kodi | kodi-repository, kodi-visualization-spectrum
 Replaces: xbmc (<< 2:13.2+dfsg1-5~)
 Breaks: xbmc (<< 2:13.2+dfsg1-5~)
 Provides: ${kodi:PVRAPI}, ${kodi:GUILIBAPI}
@@ -293,4 +296,3 @@
  developers have contributed to Kodi, and 100-plus translators have worked to
  expand its reach, making it available in more than 30 languages.
  .
- While Kodi functions very well as a standard media player application for
