=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,17 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Temporary workaround - see bug#841556
+export CPP=cpp-6
+export CC=gcc-6
+export CXX=g++-6
+export CPP_FOR_BUILD=cpp-6
+export CC_FOR_BUILD=gcc-6
+export CXX_FOR_BUILD=g++-6
+
+# Avoid custom build rule silencing
+export V=1
 
 # bindnow breaks wrappers used in with libdvdread
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
@@ -45,10 +56,16 @@
 # for embedded libdvd*:
 export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC
 
-# List of options to pass to configure. Can be overridden.
+# List of options to pass to _any_ configure.
+CORE_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
+  --disable-maintainer-mode \
+  --disable-dependency-tracking \
+  --disable-silent-rules \
+
+# List of options to pass to configure of Kodi. Can be overridden.
 # Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
 # variable.
-KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
+KODI_CONFIG_OPTIONS ?= $(CORE_CONFIG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
   --disable-openmax \
   --disable-tegra \
@@ -64,7 +81,6 @@
   --enable-libcec \
   --disable-airtunes \
   --with-ffmpeg=shared \
-  --disable-dependency-tracking \
   --disable-non-free \
   --enable-gtest \
   --with-lirc-device=/var/run/lirc/lircd \
@@ -113,11 +129,11 @@
 	# Add "from Debian" next to Kodi's original logo
 	inkscape -z -w 250 -h 82 --export-png=addons/skin.estuary/media/from-debian-logo.png debian/from-debian-logo.svg
 	(cd $(DVDREAD_COMPONENT) && autoreconf -vif && \
-		$(shell dpkg-buildflags --export=configure) ./configure \
+		$(shell dpkg-buildflags --export=configure) ./configure $(CORE_CONFIG_OPTIONS) \
 		--prefix=$(CURDIR)/tools/depends/target/libdvdread/dvdread-install --disable-shared --enable-static --with-pic && \
 		$(MAKE) install) && \
 	(cd $(DVDNAV_COMPONENT) && autoreconf -vif && \
-		$(shell dpkg-buildflags --export=configure) PKG_CONFIG_PATH="$(CURDIR)/tools/depends/target/libdvdread/dvdread-install/lib/pkgconfig" ./configure \
+		$(shell dpkg-buildflags --export=configure) PKG_CONFIG_PATH="$(CURDIR)/tools/depends/target/libdvdread/dvdread-install/lib/pkgconfig" ./configure $(CORE_CONFIG_OPTIONS) \
 		--prefix=$(CURDIR)/tools/depends/target/libdvdnav/dvdnav-install --disable-shared --enable-static --with-pic && \
 		$(MAKE) install)
 
@@ -144,7 +160,10 @@
 	dh_install -i -XLICENCE -XLICENSE \
 		-XLicence.txt -XLicense.txt -XLICENSE.txt \
 		-XNOTICE.txt \
-		-Xjquery-1.8.2.min.js -Xiscroll-min.js
+		-Xjquery-1.8.2.min.js -Xiscroll-min.js \
+		-Nkodi-repository-kodi -Xusr/share/kodi/addons/repository.xbmc.org
+	dh_install -pkodi-repository-kodi \
+		addons/repository.xbmc.org/* usr/share/kodi/addons/repository.xbmc.org
 
 override_dh_install-arch:
 	dh_install -a -XLICENCE -XLICENSE -XLicence.txt -XLicense.txt \
